Atom.h File Reference

Defines the Atom class and associated typedefs. More...

`#include <iostream>`
`#include <boost/foreach.hpp>`
`#include <Query/QueryObjects.h>`
`#include <RDGeneral/types.h>`
`#include <RDGeneral/Dict.h>`
`#include <GraphMol/details.h>`

Go to the source code of this file.

## Classes

class | RDKit::Atom
| The class for representing atoms. More...

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Functions

std::ostream & | operator<< (std::ostream &target, const RDKit::Atom &at)
| allows Atom objects to be dumped to streams More...

## Detailed Description

Defines the Atom class and associated typedefs.

Definition in file Atom.h.

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | target,
|  | const RDKit::Atom & | at
| ) |  |

allows Atom objects to be dumped to streams